CEN64(1)

NAME
cen64 - Cycle-Accurate Nintendo 64 Simulator

SYNOPSIS
cen64 [Options] <PIF IPL ROM Path> [Cart ROM Path]

DESCRIPTION
CEN64 is a new Nintendo 64 emulator which aims for perfect emulation by simulating the hardware inside the Nintendo 64 itself, down to the register-transfer level (RTL). It is still heavy under development and currently does not have any sound emulation.

Being a cycle-accurate emulator, CEN64 has considerably high hardware requirements to achieve passable performance when emulating most Nintendo 64 titles. However, similar to the higan emulator, the cycle accuracy guarantess very high compatibility and despite its early development stage, CEN64 already allows one to run several commercial titles without or with only minor glitches.

As a distinctive feature among Nintendo 64 emulators, CEN64 offers emulation support for the 64DD external disk drive that was never released outside Japan and even there is considered rare. Thus, CEN64 offers the unique possibility for anyone to play any of the rare titles that were exclusively released on the 64DD.

OPTIONS
CEN64 currently supports only a very limited amount of options, a summary of these options is shown below.

-debug [addr][:port]
    Starts the debugger on interface:port. By default, CEN64 uses localhost:64646.

-profile
    Profile the ROM (cpu-side).

-multithread
    Run in a threaded (but quasi-accurate) mode. This mode cannot be run with the debugger.

-ddipl <path>
    Path to the 64DD IPL ROM (enables 64DD mode).

-ddrom <path>
    Path to the 64DD disk ROM (requires -ddipl).

-headless
    Run emulator without user-interface components.

-noaudio
    Run emulator without audio.

-novideo
    Run emulator without video.

-is-viewer
    IS Viewer 64 present.

-controller num=<1-4>
    Controller with no pak.

    Pak options:
      num=<1-4>,pak=rumble
      num=<1-4>,mempak=<path>
      num=<1-4>,tpak_rom=<path>,tpak_save=<path>

-eep4k <path>
    Path to 4 kbit EEPROM save.

-eep16k <path>
    Path to 16 kbit EEPROM save.

-sram <path>
    Path to SRAM save.

-flash <path>
    Path to FlashRAM save.

SEE ALSO
cen64-qt(1).

Up-to-date information can be found on the upstream website at https://www.cen64.com. For help, please refer to the forums at https://forums.cen64.com.

BUGS
The Debian bug tracker should be used for packaging-related bug reports only. Please report any bugs concerning the actual emulator directly to the upstream bug tracker which can be found at: https://github.com/tj90241/cen64/issues.

AUTHOR
This manual page was written by John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de> with contributions by Dan Hasting <maintainer@hasting.email>.